%define pkg_version 239.3
%define pkg_release 1%{?_dist_release}

%define _unpackaged_files_terminate_build 1

%global _vpath_srcdir .
%global _vpath_builddir build
%global __global_cflags %{optflags}
%global __global_ldflags ""

Name:         elogind
Summary:      The systemd project's "logind", extracted to a standalone package
Summary(ja):  systemdプロジェクトのlogindを単独で動作するようにしたソフトウェア
Version:      %{pkg_version}
Release:      %{pkg_release}
License:      GPL2/LGPL2.1
Group:        System Environment/Base
URL:          https://wiki.gentoo.org/wiki/Elogind
Vendor:       Project Vine
Distribution: Vine Linux
Packager:     tomop

Source0:     https://github.com/elogind/elogind/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# derives from
# https://github.com/systemd/systemd/commit/2675747f3cdd6f1e6236bbb2f79abfa53fb307f1
Patch0:      pam_elogind-reduce-log.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: util-linux
Requires: polkit
Requires: dbus

BuildRequires: meson
BuildRequires: ninja
BuildRequires: gperf
BuildRequires: libacl-devel
BuildRequires: libblkid-devel
BuildRequires: libcap-devel
BuildRequires: libmount-devel
BuildRequires: eudev-libudev-devel
BuildRequires: pam-devel
BuildRequires: pkgconfig
BuildRequires: python3-devel

%description
elogind is the systemd project's logind, extracted to a standalone package. It's designed for users who prefer a non-systemd init system, but still want to use popular software such as KDE/Wayland or GNOME that otherwise hard-depends on systemd. 

%description -l ja
　eloginは、systemdプロジェクトのlogindを単体で抽出したものです。これは
systemdを利用していないシステム上で、KDE、Wayland、GNOMEのようにsystemd
に強く依存しているソフトウェアを使用したいユーザのために設計されています。

%package devel
Summary:     headers and libraries for elogind
Summary(ja): eloginを用いた開発のためのヘッダ・ライブラリファイル
Group:       Development/Libraries
Requires:    elogind = %{version}-%{release}

%description devel
 This package contains headers and libraries for elogind

%description devel -l ja
　このパッケージにはeloginを用いた開発のためのヘッダ・ライブラリファイル
が含まれています。

%prep
%autosetup -p1


%build
export LANG=ja_JP.UTF-8
%meson
%meson_build

%install
export LANG=ja_JP.UTF-8
%{__rm} -rf %{buildroot}
%meson_install


rm -f %{buildroot}/%{_lib}/libelogind.so
ln -s ../../%{_lib}/libelogind.so.0 %{buildroot}%{_libdir}/libelogind.so
perl -pi -e 's|^libdir=.*$|libdir=%{_libdir}|' %{buildroot}%{_libdir}/pkgconfig/libelogind.pc

rm -rf %{buildroot}%{_datadir}/factory

%find_lang %{name}

%check
export LANG=ja_JP.UTF-8
%meson_test

%clean
%{__rm} -rf %{buildroot}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%license LICENSE*
%doc NEWS README
%config(noreplace) %{_sysconfdir}/elogind/logind.conf
%config(noreplace) %{_sysconfdir}/pam.d/elogind-user
/bin/*
%{_bindir}/*
/lib/elogind
/lib/udev/rules.d/*
/%{_lib}/*.so.*
/%{_lib}/security/*
%{_datadir}/dbus-1/system-services/*
%{_datadir}/dbus-1/system.d/*
%{_datadir}/polkit-1/actions/*
%dir %{_datadir}/zsh
%{_datadir}/zsh/site-functions/*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/*

%files devel
%defattr(-,root,root)
%{_libdir}/libelogind.so
%{_includedir}/elogind
%{_libdir}/pkgconfig/libelogind.pc

%changelog
* Sun Dec 16 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 239.3-1
- initial build for Vine Linux.
